//
// (c)ACKSYS 1995 -- JPT
//

#define  STRICT
#include <windows.h>
#pragma hdrstop

#include "main.h"

#ifndef _MSC_VER
#pragma argsused		// Turn off warning: Parameter is never used
#endif /*_MSC_VER*/
int PASCAL WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpszCmdLine, int nCmdShow )
{
	MSG msg;

	// init de toutes les instances
	if( ! InitAnyInstance(hInstance, hPrevInstance) )
		// termine immédiatement si on ne veut qu'une instance
		return 0;

	while( GetMessage( &msg, NULL, 0, 0 ) )
	{
		// faire éventuellement des traitements directs
		if( MustProcessMainLoop(&msg) ){
			TranslateMessage( &msg );
			DispatchMessage( &msg );
		}
	}
	return msg.wParam;
}

